from rosetta import *
init()

#read in PDB file with ligand
p = Pose()
pose_from_pdb(p, "dna_test.pdb")

#setup docking fold tree
DockingProtocol().setup_foldtree(p, 'A_CD')
dock_jump = 1

#store starting structure
starting_p = Pose()
starting_p.assign(p)

#set up scoring function
scorefxn = create_score_function("dna")

#set up initial perturbation movers
dock_pert = RigidBodyPerturbMover(dock_jump, 3, 8) #3A translation, 8 degrees rotation
spin = RigidBodySpinMover( dock_jump )
slide_into_contact = FaDockingSlideTogether( dock_jump )

#set up DockingHighRes mover
docking_highres = DockingHighRes(scorefxn, dock_jump)

print "set up job distributor"
jd = PyJobDistributor("dna_dock_output", 50, scorefxn)

print "beginning docking..."

while (jd.job_complete == False):
	p.assign(starting_p)

	print "initial perturbation"
	dock_pert.apply(p)
	spin.apply(p)
	slide_into_contact.apply(p)

	print "high resolution stage docking"
	docking_highres.apply(p)

	print "outputting decoy..."
	jd.output_decoy(p)

print "docking complete!"

